### Method

# Vips Image set_blob_copy

#### Declaration [src]

    void
    vips_image_set_blob_copy (
      VipsImage* image,
      const char* name,
      void* data,
      size_t length
    )

#### Description [src]

Attaches `data` as a metadata item on `image` under the name `name`, taking a copy of the memory area.

See also

`vips_image_get_blob()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: An array of `guint8`

  Pointer to area of memory.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `size_t`

  Length of memory area.